Imported Upstream version 0.19.7
[platform/upstream/fribidi.git] / test / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 build_triplet = @build@
89 host_triplet = @host@
90 subdir = test
91 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
92 am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
93         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
94         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
95         $(top_srcdir)/configure.ac
96 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
97         $(ACLOCAL_M4)
98 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
99 mkinstalldirs = $(install_sh) -d
100 CONFIG_HEADER = $(top_builddir)/config.h
101 CONFIG_CLEAN_FILES =
102 CONFIG_CLEAN_VPATH_FILES =
103 AM_V_P = $(am__v_P_@AM_V@)
104 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
105 am__v_P_0 = false
106 am__v_P_1 = :
107 AM_V_GEN = $(am__v_GEN_@AM_V@)
108 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
109 am__v_GEN_0 = @echo "  GEN     " $@;
110 am__v_GEN_1 = 
111 AM_V_at = $(am__v_at_@AM_V@)
112 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
113 am__v_at_0 = @
114 am__v_at_1 = 
115 SOURCES =
116 DIST_SOURCES =
117 am__can_run_installinfo = \
118   case $$AM_UPDATE_INFO_DIR in \
119     n|no|NO) false;; \
120     *) (install-info --version) >/dev/null 2>&1;; \
121   esac
122 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
123 am__tty_colors_dummy = \
124   mgn= red= grn= lgn= blu= brg= std=; \
125   am__color_tests=no
126 am__tty_colors = { \
127   $(am__tty_colors_dummy); \
128   if test "X$(AM_COLOR_TESTS)" = Xno; then \
129     am__color_tests=no; \
130   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
131     am__color_tests=yes; \
132   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
133     am__color_tests=yes; \
134   fi; \
135   if test $$am__color_tests = yes; then \
136     red='\e[0;31m'; \
137     grn='\e[0;32m'; \
138     lgn='\e[1;32m'; \
139     blu='\e[1;34m'; \
140     mgn='\e[0;35m'; \
141     brg='\e[1m'; \
142     std='\e[m'; \
143   fi; \
144 }
145 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
146 am__vpath_adj = case $$p in \
147     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
148     *) f=$$p;; \
149   esac;
150 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
151 am__install_max = 40
152 am__nobase_strip_setup = \
153   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
154 am__nobase_strip = \
155   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
156 am__nobase_list = $(am__nobase_strip_setup); \
157   for p in $$list; do echo "$$p $$p"; done | \
158   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
159   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
160     if (++n[$$2] == $(am__install_max)) \
161       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
162     END { for (dir in files) print dir, files[dir] }'
163 am__base_list = \
164   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
165   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
166 am__uninstall_files_from_dir = { \
167   test -z "$$files" \
168     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
169     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
170          $(am__cd) "$$dir" && rm -f $$files; }; \
171   }
172 am__recheck_rx = ^[     ]*:recheck:[    ]*
173 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
174 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
175 # A command that, given a newline-separated list of test names on the
176 # standard input, print the name of the tests that are to be re-run
177 # upon "make recheck".
178 am__list_recheck_tests = $(AWK) '{ \
179   recheck = 1; \
180   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
181     { \
182       if (rc < 0) \
183         { \
184           if ((getline line2 < ($$0 ".log")) < 0) \
185             recheck = 0; \
186           break; \
187         } \
188       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
189         { \
190           recheck = 0; \
191           break; \
192         } \
193       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
194         { \
195           break; \
196         } \
197     }; \
198   if (recheck) \
199     print $$0; \
200   close ($$0 ".trs"); \
201   close ($$0 ".log"); \
202 }'
203 # A command that, given a newline-separated list of test names on the
204 # standard input, create the global log from their .trs and .log files.
205 am__create_global_log = $(AWK) ' \
206 function fatal(msg) \
207 { \
208   print "fatal: making $@: " msg | "cat >&2"; \
209   exit 1; \
210 } \
211 function rst_section(header) \
212 { \
213   print header; \
214   len = length(header); \
215   for (i = 1; i <= len; i = i + 1) \
216     printf "="; \
217   printf "\n\n"; \
218 } \
219 { \
220   copy_in_global_log = 1; \
221   global_test_result = "RUN"; \
222   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
223     { \
224       if (rc < 0) \
225          fatal("failed to read from " $$0 ".trs"); \
226       if (line ~ /$(am__global_test_result_rx)/) \
227         { \
228           sub("$(am__global_test_result_rx)", "", line); \
229           sub("[        ]*$$", "", line); \
230           global_test_result = line; \
231         } \
232       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
233         copy_in_global_log = 0; \
234     }; \
235   if (copy_in_global_log) \
236     { \
237       rst_section(global_test_result ": " $$0); \
238       while ((rc = (getline line < ($$0 ".log"))) != 0) \
239       { \
240         if (rc < 0) \
241           fatal("failed to read from " $$0 ".log"); \
242         print line; \
243       }; \
244       printf "\n"; \
245     }; \
246   close ($$0 ".trs"); \
247   close ($$0 ".log"); \
248 }'
249 # Restructured Text title.
250 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
251 # Solaris 10 'make', and several other traditional 'make' implementations,
252 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
253 # by disabling -e (using the XSI extension "set +e") if it's set.
254 am__sh_e_setup = case $$- in *e*) set +e;; esac
255 # Default flags passed to test drivers.
256 am__common_driver_flags = \
257   --color-tests "$$am__color_tests" \
258   --enable-hard-errors "$$am__enable_hard_errors" \
259   --expect-failure "$$am__expect_failure"
260 # To be inserted before the command running the test.  Creates the
261 # directory for the log if needed.  Stores in $dir the directory
262 # containing $f, in $tst the test, in $log the log.  Executes the
263 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
264 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
265 # will run the test scripts (or their associated LOG_COMPILER, if
266 # thy have one).
267 am__check_pre = \
268 $(am__sh_e_setup);                                      \
269 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
270 $(am__tty_colors);                                      \
271 srcdir=$(srcdir); export srcdir;                        \
272 case "$@" in                                            \
273   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
274     *) am__odir=.;;                                     \
275 esac;                                                   \
276 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
277   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
278 if test -f "./$$f"; then dir=./;                        \
279 elif test -f "$$f"; then dir=;                          \
280 else dir="$(srcdir)/"; fi;                              \
281 tst=$$dir$$f; log='$@';                                 \
282 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
283   am__enable_hard_errors=no;                            \
284 else                                                    \
285   am__enable_hard_errors=yes;                           \
286 fi;                                                     \
287 case " $(XFAIL_TESTS) " in                              \
288   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
289     am__expect_failure=yes;;                            \
290   *)                                                    \
291     am__expect_failure=no;;                             \
292 esac;                                                   \
293 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
294 # A shell command to get the names of the tests scripts with any registered
295 # extension removed (i.e., equivalently, the names of the test logs, with
296 # the '.log' extension removed).  The result is saved in the shell variable
297 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
298 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
299 # since that might cause problem with VPATH rewrites for suffix-less tests.
300 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
301 am__set_TESTS_bases = \
302   bases='$(TEST_LOGS)'; \
303   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
304   bases=`echo $$bases`
305 RECHECK_LOGS = $(TEST_LOGS)
306 AM_RECURSIVE_TARGETS = check recheck
307 TEST_SUITE_LOG = test-suite.log
308 TEST_EXTENSIONS = @EXEEXT@ .test
309 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
310 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
311 am__set_b = \
312   case '$@' in \
313     */*) \
314       case '$*' in \
315         */*) b='$*';; \
316           *) b=`echo '$@' | sed 's/\.log$$//'`; \
317        esac;; \
318     *) \
319       b='$*';; \
320   esac
321 am__test_logs1 = $(TESTS:=.log)
322 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
323 TEST_LOGS = $(am__test_logs2:.test.log=.log)
324 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
325 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
326         $(TEST_LOG_FLAGS)
327 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/test-driver
328 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
329 ACLOCAL = @ACLOCAL@
330 AMTAR = @AMTAR@
331 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
332 AR = @AR@
333 AUTOCONF = @AUTOCONF@
334 AUTOHEADER = @AUTOHEADER@
335 AUTOMAKE = @AUTOMAKE@
336 AWK = @AWK@
337 CC = @CC@
338 CCDEPMODE = @CCDEPMODE@
339 CFLAGS = @CFLAGS@
340 CPP = @CPP@
341 CPPFLAGS = @CPPFLAGS@
342 CYGPATH_W = @CYGPATH_W@
343 DEFS = @DEFS@
344 DEPDIR = @DEPDIR@
345 DLLTOOL = @DLLTOOL@
346 DSYMUTIL = @DSYMUTIL@
347 DUMPBIN = @DUMPBIN@
348 ECHO_C = @ECHO_C@
349 ECHO_N = @ECHO_N@
350 ECHO_T = @ECHO_T@
351 EGREP = @EGREP@
352 EXEEXT = @EXEEXT@
353 FGREP = @FGREP@
354 FRIBIDI_BINARY_AGE = @FRIBIDI_BINARY_AGE@
355 FRIBIDI_CHARSETS = @FRIBIDI_CHARSETS@
356 FRIBIDI_INTERFACE_AGE = @FRIBIDI_INTERFACE_AGE@
357 FRIBIDI_INTERFACE_VERSION = @FRIBIDI_INTERFACE_VERSION@
358 FRIBIDI_MAJOR_VERSION = @FRIBIDI_MAJOR_VERSION@
359 FRIBIDI_MICRO_VERSION = @FRIBIDI_MICRO_VERSION@
360 FRIBIDI_MINOR_VERSION = @FRIBIDI_MINOR_VERSION@
361 FRIBIDI_NO_DEPRECATED = @FRIBIDI_NO_DEPRECATED@
362 FRIBIDI_USE_GLIB = @FRIBIDI_USE_GLIB@
363 FRIBIDI_VERSION = @FRIBIDI_VERSION@
364 GLIB_CFLAGS = @GLIB_CFLAGS@
365 GLIB_LIBS = @GLIB_LIBS@
366 GREP = @GREP@
367 INSTALL = @INSTALL@
368 INSTALL_DATA = @INSTALL_DATA@
369 INSTALL_PROGRAM = @INSTALL_PROGRAM@
370 INSTALL_SCRIPT = @INSTALL_SCRIPT@
371 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
372 LD = @LD@
373 LDFLAGS = @LDFLAGS@
374 LIBOBJS = @LIBOBJS@
375 LIBS = @LIBS@
376 LIBTOOL = @LIBTOOL@
377 LIPO = @LIPO@
378 LN_S = @LN_S@
379 LTLIBOBJS = @LTLIBOBJS@
380 LT_CURRENT_MINUS_AGE = @LT_CURRENT_MINUS_AGE@
381 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
382 LT_VERSION_INFO = @LT_VERSION_INFO@
383 MAKEINFO = @MAKEINFO@
384 MANIFEST_TOOL = @MANIFEST_TOOL@
385 MISC_CFLAGS = @MISC_CFLAGS@
386 MISC_LIBS = @MISC_LIBS@
387 MISC_PACKAGES = @MISC_PACKAGES@
388 MKDIR_P = @MKDIR_P@
389 NM = @NM@
390 NMEDIT = @NMEDIT@
391 OBJDUMP = @OBJDUMP@
392 OBJEXT = @OBJEXT@
393 OTOOL = @OTOOL@
394 OTOOL64 = @OTOOL64@
395 PACKAGE = @PACKAGE@
396 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
397 PACKAGE_NAME = @PACKAGE_NAME@
398 PACKAGE_STRING = @PACKAGE_STRING@
399 PACKAGE_TARNAME = @PACKAGE_TARNAME@
400 PACKAGE_URL = @PACKAGE_URL@
401 PACKAGE_VERSION = @PACKAGE_VERSION@
402 PATH_SEPARATOR = @PATH_SEPARATOR@
403 PKG_CONFIG = @PKG_CONFIG@
404 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
405 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
406 RANLIB = @RANLIB@
407 SED = @SED@
408 SET_MAKE = @SET_MAKE@
409 SHELL = @SHELL@
410 SIZEOF_INT = @SIZEOF_INT@
411 STRIP = @STRIP@
412 VERSION = @VERSION@
413 abs_builddir = @abs_builddir@
414 abs_srcdir = @abs_srcdir@
415 abs_top_builddir = @abs_top_builddir@
416 abs_top_srcdir = @abs_top_srcdir@
417 ac_ct_AR = @ac_ct_AR@
418 ac_ct_CC = @ac_ct_CC@
419 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
420 am__include = @am__include@
421 am__leading_dot = @am__leading_dot@
422 am__quote = @am__quote@
423 am__tar = @am__tar@
424 am__untar = @am__untar@
425 bindir = @bindir@
426 build = @build@
427 build_alias = @build_alias@
428 build_cpu = @build_cpu@
429 build_os = @build_os@
430 build_vendor = @build_vendor@
431 builddir = @builddir@
432 datadir = @datadir@
433 datarootdir = @datarootdir@
434 docdir = @docdir@
435 dvidir = @dvidir@
436 exec_prefix = @exec_prefix@
437 host = @host@
438 host_alias = @host_alias@
439 host_cpu = @host_cpu@
440 host_os = @host_os@
441 host_vendor = @host_vendor@
442 htmldir = @htmldir@
443 includedir = @includedir@
444 infodir = @infodir@
445 install_sh = @install_sh@
446 libdir = @libdir@
447 libexecdir = @libexecdir@
448 localedir = @localedir@
449 localstatedir = @localstatedir@
450 mandir = @mandir@
451 mkdir_p = @mkdir_p@
452 oldincludedir = @oldincludedir@
453 pdfdir = @pdfdir@
454 prefix = @prefix@
455 program_transform_name = @program_transform_name@
456 psdir = @psdir@
457 sbindir = @sbindir@
458 sharedstatedir = @sharedstatedir@
459 srcdir = @srcdir@
460 sysconfdir = @sysconfdir@
461 target_alias = @target_alias@
462 top_build_prefix = @top_build_prefix@
463 top_builddir = @top_builddir@
464 top_srcdir = @top_srcdir@
465 TESTS_ENVIRONMENT = \
466         srcdir=${srcdir}; export srcdir; \
467         top_builddir=${top_builddir}; export top_builddir; \
468         EXEEXT=${EXEEXT}; export EXEEXT;
469
470 AM_TESTS_ENVIRONMENT = $(TESTS_ENVIRONMENT)
471 TESTS = run.tests
472 check_SCRIPTS = run.tests
473 TEST_DATAS = \
474         test_CapRTL_explicit.input \
475         test_CapRTL_explicit.reference \
476         test_CapRTL_implicit.input \
477         test_CapRTL_implicit.reference \
478         test_ISO8859-8_hebrew.input \
479         test_ISO8859-8_hebrew.reference \
480         test_UTF-8_persian.input \
481         test_UTF-8_persian.reference \
482         test_UTF-8_reordernsm.input \
483         test_UTF-8_reordernsm.reference
484
485 EXTRA_DIST = \
486         $(TESTS) \
487         $(TEST_DATAS)
488
489 all: all-am
490
491 .SUFFIXES:
492 .SUFFIXES: .log .test .test$(EXEEXT) .trs
493 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
494         @for dep in $?; do \
495           case '$(am__configure_deps)' in \
496             *$$dep*) \
497               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
498                 && { if test -f $@; then exit 0; else break; fi; }; \
499               exit 1;; \
500           esac; \
501         done; \
502         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/Makefile'; \
503         $(am__cd) $(top_srcdir) && \
504           $(AUTOMAKE) --gnits test/Makefile
505 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
506         @case '$?' in \
507           *config.status*) \
508             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
509           *) \
510             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
511             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
512         esac;
513
514 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
515         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
516
517 $(top_srcdir)/configure:  $(am__configure_deps)
518         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
519 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
520         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
521 $(am__aclocal_m4_deps):
522
523 mostlyclean-libtool:
524         -rm -f *.lo
525
526 clean-libtool:
527         -rm -rf .libs _libs
528 tags TAGS:
529
530 ctags CTAGS:
531
532 cscope cscopelist:
533
534
535 # Recover from deleted '.trs' file; this should ensure that
536 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
537 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
538 # to avoid problems with "make -n".
539 .log.trs:
540         rm -f $< $@
541         $(MAKE) $(AM_MAKEFLAGS) $<
542
543 # Leading 'am--fnord' is there to ensure the list of targets does not
544 # expand to empty, as could happen e.g. with make check TESTS=''.
545 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
546 am--force-recheck:
547         @:
548
549 $(TEST_SUITE_LOG): $(TEST_LOGS)
550         @$(am__set_TESTS_bases); \
551         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
552         redo_bases=`for i in $$bases; do \
553                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
554                     done`; \
555         if test -n "$$redo_bases"; then \
556           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
557           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
558           if $(am__make_dryrun); then :; else \
559             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
560           fi; \
561         fi; \
562         if test -n "$$am__remaking_logs"; then \
563           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
564                "recursion detected" >&2; \
565         elif test -n "$$redo_logs"; then \
566           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
567         fi; \
568         if $(am__make_dryrun); then :; else \
569           st=0;  \
570           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
571           for i in $$redo_bases; do \
572             test -f $$i.trs && test -r $$i.trs \
573               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
574             test -f $$i.log && test -r $$i.log \
575               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
576           done; \
577           test $$st -eq 0 || exit 1; \
578         fi
579         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
580         ws='[   ]'; \
581         results=`for b in $$bases; do echo $$b.trs; done`; \
582         test -n "$$results" || results=/dev/null; \
583         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
584         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
585         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
586         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
587         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
588         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
589         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
590         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
591           success=true; \
592         else \
593           success=false; \
594         fi; \
595         br='==================='; br=$$br$$br$$br$$br; \
596         result_count () \
597         { \
598             if test x"$$1" = x"--maybe-color"; then \
599               maybe_colorize=yes; \
600             elif test x"$$1" = x"--no-color"; then \
601               maybe_colorize=no; \
602             else \
603               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
604             fi; \
605             shift; \
606             desc=$$1 count=$$2; \
607             if test $$maybe_colorize = yes && test $$count -gt 0; then \
608               color_start=$$3 color_end=$$std; \
609             else \
610               color_start= color_end=; \
611             fi; \
612             echo "$${color_start}# $$desc $$count$${color_end}"; \
613         }; \
614         create_testsuite_report () \
615         { \
616           result_count $$1 "TOTAL:" $$all   "$$brg"; \
617           result_count $$1 "PASS: " $$pass  "$$grn"; \
618           result_count $$1 "SKIP: " $$skip  "$$blu"; \
619           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
620           result_count $$1 "FAIL: " $$fail  "$$red"; \
621           result_count $$1 "XPASS:" $$xpass "$$red"; \
622           result_count $$1 "ERROR:" $$error "$$mgn"; \
623         }; \
624         {                                                               \
625           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
626             $(am__rst_title);                                           \
627           create_testsuite_report --no-color;                           \
628           echo;                                                         \
629           echo ".. contents:: :depth: 2";                               \
630           echo;                                                         \
631           for b in $$bases; do echo $$b; done                           \
632             | $(am__create_global_log);                                 \
633         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
634         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
635         if $$success; then                                              \
636           col="$$grn";                                                  \
637          else                                                           \
638           col="$$red";                                                  \
639           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
640         fi;                                                             \
641         echo "$${col}$$br$${std}";                                      \
642         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
643         echo "$${col}$$br$${std}";                                      \
644         create_testsuite_report --maybe-color;                          \
645         echo "$$col$$br$$std";                                          \
646         if $$success; then :; else                                      \
647           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
648           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
649             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
650           fi;                                                           \
651           echo "$$col$$br$$std";                                        \
652         fi;                                                             \
653         $$success || exit 1
654
655 check-TESTS:
656         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
657         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
658         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
659         @set +e; $(am__set_TESTS_bases); \
660         log_list=`for i in $$bases; do echo $$i.log; done`; \
661         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
662         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
663         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
664         exit $$?;
665 recheck: all $(check_SCRIPTS)
666         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
667         @set +e; $(am__set_TESTS_bases); \
668         bases=`for i in $$bases; do echo $$i; done \
669                  | $(am__list_recheck_tests)` || exit 1; \
670         log_list=`for i in $$bases; do echo $$i.log; done`; \
671         log_list=`echo $$log_list`; \
672         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
673                 am__force_recheck=am--force-recheck \
674                 TEST_LOGS="$$log_list"; \
675         exit $$?
676 run.tests.log: run.tests
677         @p='run.tests'; \
678         b='run.tests'; \
679         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
680         --log-file $$b.log --trs-file $$b.trs \
681         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
682         "$$tst" $(AM_TESTS_FD_REDIRECT)
683 .test.log:
684         @p='$<'; \
685         $(am__set_b); \
686         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
687         --log-file $$b.log --trs-file $$b.trs \
688         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
689         "$$tst" $(AM_TESTS_FD_REDIRECT)
690 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
691 @am__EXEEXT_TRUE@       @p='$<'; \
692 @am__EXEEXT_TRUE@       $(am__set_b); \
693 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
694 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
695 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
696 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
697
698 distdir: $(DISTFILES)
699         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
700         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
701         list='$(DISTFILES)'; \
702           dist_files=`for file in $$list; do echo $$file; done | \
703           sed -e "s|^$$srcdirstrip/||;t" \
704               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
705         case $$dist_files in \
706           */*) $(MKDIR_P) `echo "$$dist_files" | \
707                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
708                            sort -u` ;; \
709         esac; \
710         for file in $$dist_files; do \
711           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
712           if test -d $$d/$$file; then \
713             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
714             if test -d "$(distdir)/$$file"; then \
715               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
716             fi; \
717             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
718               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
719               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
720             fi; \
721             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
722           else \
723             test -f "$(distdir)/$$file" \
724             || cp -p $$d/$$file "$(distdir)/$$file" \
725             || exit 1; \
726           fi; \
727         done
728 check-am: all-am
729         $(MAKE) $(AM_MAKEFLAGS) $(check_SCRIPTS)
730         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
731 check: check-am
732 all-am: Makefile
733 installdirs:
734 install: install-am
735 install-exec: install-exec-am
736 install-data: install-data-am
737 uninstall: uninstall-am
738
739 install-am: all-am
740         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
741
742 installcheck: installcheck-am
743 install-strip:
744         if test -z '$(STRIP)'; then \
745           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
746             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
747               install; \
748         else \
749           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
750             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
751             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
752         fi
753 mostlyclean-generic:
754         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
755         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
756         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
757
758 clean-generic:
759
760 distclean-generic:
761         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
762         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
763
764 maintainer-clean-generic:
765         @echo "This command is intended for maintainers to use"
766         @echo "it deletes files that may require special tools to rebuild."
767 clean: clean-am
768
769 clean-am: clean-generic clean-libtool mostlyclean-am
770
771 distclean: distclean-am
772         -rm -f Makefile
773 distclean-am: clean-am distclean-generic
774
775 dvi: dvi-am
776
777 dvi-am:
778
779 html: html-am
780
781 html-am:
782
783 info: info-am
784
785 info-am:
786
787 install-data-am:
788
789 install-dvi: install-dvi-am
790
791 install-dvi-am:
792
793 install-exec-am:
794
795 install-html: install-html-am
796
797 install-html-am:
798
799 install-info: install-info-am
800
801 install-info-am:
802
803 install-man:
804
805 install-pdf: install-pdf-am
806
807 install-pdf-am:
808
809 install-ps: install-ps-am
810
811 install-ps-am:
812
813 installcheck-am:
814
815 maintainer-clean: maintainer-clean-am
816         -rm -f Makefile
817 maintainer-clean-am: distclean-am maintainer-clean-generic
818
819 mostlyclean: mostlyclean-am
820
821 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
822
823 pdf: pdf-am
824
825 pdf-am:
826
827 ps: ps-am
828
829 ps-am:
830
831 uninstall-am:
832
833 .MAKE: check-am install-am install-strip
834
835 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
836         clean-libtool cscopelist-am ctags-am distclean \
837         distclean-generic distclean-libtool distdir dvi dvi-am html \
838         html-am info info-am install install-am install-data \
839         install-data-am install-dvi install-dvi-am install-exec \
840         install-exec-am install-html install-html-am install-info \
841         install-info-am install-man install-pdf install-pdf-am \
842         install-ps install-ps-am install-strip installcheck \
843         installcheck-am installdirs maintainer-clean \
844         maintainer-clean-generic mostlyclean mostlyclean-generic \
845         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
846         uninstall uninstall-am
847
848 .PRECIOUS: Makefile
849
850
851 test_%.reference: test_%.input
852         testcase="$@" && \
853         charset="`echo "$@" | sed 's/_[^_]*$$//;s/.*_//'`" && \
854         $(top_builddir)/bin/fribidi --test --charset "$$charset" "$<" > "$@" \
855         || ($(RM) "$@"; false)
856
857 references:
858         for testcase in "$(srcdir)"/test_*.input; do \
859                 test="`echo $$testcase \
860                   | sed 's/\.input$$/.reference/i; s|.*/||;'`" && \
861                 $(MAKE) $(AM_MAKEFLAGS) "$(srcdir)/$$test" || \
862                 exit 1; \
863         done
864
865 -include $(top_srcdir)/git.mk
866
867 # Tell versions [3.59,3.63) of GNU make to not export all variables.
868 # Otherwise a system limit (for SysV at least) may be exceeded.
869 .NOEXPORT: